Diesel + postgres + vcpkg + Windows 10


#1

Кто-нибудь собирал diesel_cli с поддержкой postgre, тулчейном stable-x86_64-pc-windows-msvc и пакетами libpq + ssl из vcpkg x64-windows-static?
А то меня не проходит линковка с ошибкой LNK2019.


#2

Сомневаюсь что много кто это делал в такой конфигурации. А можешь полное сообщение об ошибке выложить в гист и дать ссылку? Там должны быть названия недостающих идентификаторов, по которым можно будет попробовать понять сборка какого пакета-обертки криво отрабатывает.


#3

https://pastebin.com/YP2sLb4a

Я так понял, что link.exe не знает что ему ещё и с ssl-либами надо линковаться.
Как можно в cargo install их указать?